Ellipsis APIReferenceSessions
List Agent Sessions
List the customer's agent sessions, optionally filtered by config, source, time window, and attributed author.
List the customer's agent sessions, optionally filtered by config, source, time window, and attributed author.
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Query Parameters
config_id?string|null
source?array<>|null
days?integer|null
start?|null
end?|null
limit?Limit
Default
50Header Parameters
user-agent?string|null
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/sessions"{ "sessions": [ { "agent_config_id": "string", "attributed_user": { "avatar_url": "string", "id": 0, "login": "string", "type": "User" }, "attribution_id": "string", "attribution_type": "github_user", "client_version": "string", "config_override": {}, "context_repository": "string", "cost_fee": 0, "cost_sandbox_cpu": 0, "cost_sandbox_memory": 0, "cost_tokens": 0, "created_at": "2019-08-24T14:15:22Z", "customer_id": "string", "default_resolution": "repo_default", "exit_status": "completed", "harness": "claude_code", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "last_message_at": "2019-08-24T14:15:22Z", "live_summary": "string", "metadata": {}, "output_prs": [ { "gh_pr_id": 0, "number": 0, "repo_full_name": "string", "title": "string", "url": "string" } ], "parent_agent_session_id": "string", "parent_kind": "continuation", "prompt": "string", "prompting": { "blocked_reason": "mention_surface", "detail": "string", "enabled": true, "surface_name": "string" }, "replayed_from_session_id": "string", "resolved_budget_cents": 0, "resolved_budget_source": "system", "sandbox_id": "string", "session_key": "string", "session_state": "idle", "source": "react", "status": "scheduled", "status_reason": "string", "stopped_at": "2019-08-24T14:15:22Z", "stopped_by": 0, "stopped_by_user": { "avatar_url": "string", "id": 0, "login": "string", "type": "User" }, "surface": { "run": "scheduled", "session": "alive", "status": "string" }, "tokens_cache_creation": 0, "tokens_cache_read": 0, "tokens_input": 0, "tokens_model": "string", "tokens_output": 0, "tokens_total": 0, "updated_at": "2019-08-24T14:15:22Z", "webhook_id": "string", "webhook_type": "github.issue" } ]}Introduction
Sessions endpoints of the Ellipsis REST API.
Start Agent Session
Start a new agent session. Provide at most one of config_id, config, or template_id; with none, the customer's default-config ladder resolves the config. 400 when idle_start is combined with prompt or handoff, or when a handoff is combined with any config source or override.